import { createRouter, createWebHashHistory  } from 'vue-router'

const routes = [
  {
    path: '/',
    name: 'Invoice',
    component: () => import('../views/homePage/index.vue')
  },
  {
    path: '/tablePage',
    name: 'tablePage',
    component: () => import( '../views/tablePage/index.vue')
  },
  {
    path: '/tablePage1',
    name: 'tablePage1',
    component: () => import( '../views/tablePage1/index.vue')
  },
  {
    path: '/tablePage2',
    name: 'tablePage2',
    component: () => import( '../views/tablePage2/index.vue')
  },
  {
    path: '/tablePage3',
    name: 'tablePage3',
    component: () => import( '../views/tablePage3/index.vue')
  },
  {
    path: '/fault',
    name: 'fault',
    component: () => import( '../views/entry/fault.vue')
  },
  {
    path: '/maintain',
    name: 'maintain',
    component: () => import( '../views/entry/maintain.vue')
  },
  {
    path: '/affected',
    name: 'affected',
    component: () => import( '../views/entry/affected.vue')
  },
  {
    path: '/entering',
    name: 'entering',
    component: () => import( '../views/entry/entering.vue')
  }
]

const router = createRouter({
  history: createWebHashHistory(),
  routes
})

export default router
